{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    {{ update_section }}
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_mark_attendance %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Update {{ update_section }} Marks
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row"></div>

                <div role="alert" class="alert alert-info alert-dismissible fade in">
                    <h5>
                        To mark as <strong>ABSENT</strong>, leave as <strong>BLANK</strong>
                    </h5>
                </div>

                <div class="tab-content">
                    <div class="form-horizontal form-label-left">
                        <form method="POST">{% csrf_token %}
                            <input type="hidden" name="hidden_staff_course_pk"
                                   value="{{ staff_course_instance.pk }}">
                            <input type="hidden" name="hidden_update_section" value="{{ update_section }}">
                            {% for student in list_of_students %}
                                <div class="form-group">
                                    <label class="control-label col-md-4 col-sm-4 col-xs-12">
                                        {{ student.student.roll_no }} - {{ student.student }}
                                    </label>
                                    <div class="col-md-5 col-sm-5 col-xs-12">
                                        <input class="form-control" placeholder="Obtained Mark" type="number"
                                               name="{{ student.student.pk }}" min="0"
                                               value="{{ student.mark }}">
                                    </div>
                                </div>
                            {% endfor %}
                            <div class="col-sm-12 col-md-12 col-xs-12" align="center">
                                <input type="submit" class="btn1 btn-dark-green" name="update_marks"
                                       value="Update Marks">
                            </div>
                        </form>
                    </div>
                </div>

            </div>
        </div>
    {% endif %}

{% endblock %}